Множественные уязвимости в TYPO3

Дата публикации:
07.11.2014
Дата изменения:
07.11.2014
Всего просмотров:
1668
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:N/A:P/E:U/RL:W/RC:C) = Base:5.8/Temporal:4.7
(AV:N/AC:L/Au:N/C:C/I:P/A:N/E:U/RL:OF/RC:C) = Base:8.5/Temporal:6.3
CVE ID:
CVE-2013-4701
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Раскрытие важных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TYPO3 4.x
TYPO3 6.x
Уязвимые версии:
TYPO3 версии до 6.2.6
TYPO3 версии до 6.1.12
TYPO3 версии до 4.7.20
TYPO3 версии до 4.5.37

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за наличия уязвимой версии PHP OpenID. Подробное описание уязвимости доступно по адресу: http://www.securitylab.ru/vulnerability/443715.php

2. Уязвимость существует из-за ошибки при обработке входных данных в Swiftmailer. Удаленный пользователь может выполнить произвольный код на целевой системе.

URL производителя: http://typo3.org/

Решение: Установите последнюю версию 6.2.6, 6.1.12, 4.7.20 или 4.5.37 с сайта производителя.



Ссылки: http://typo3.org/teams/security/security-bulletins/typo3-core/typo3-core-sa-2014-002/